Bug 1571269 - Add dependency on git
Summary: Add dependency on git
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: standard-test-roles
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrei Stepanov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 12:25 UTC by Vít Ondruch
Modified: 2021-04-29 15:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Vít Ondruch 2018-04-24 12:25:38 UTC
Description of problem:
standard-test-roles are using git to get fetch the tests [1]. Therefore it should specify the dependency, otherwise I get errors such as:

~~~
TASK [str-common : Fetch tests from remote repositories] **********************************************************************************************************************************************************
failed: [localhost -> test-runner] (item={'repo': 'https://src.fedoraproject.org/tests/ruby.git', 'dest': 'shared'}) => {"changed": false, "item": {"dest": "shared", "repo": "https://src.fedoraproject.org/tests/ruby.git"}, "msg": "Failed to find required executable git in paths: /usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin"}
	to retry, use: --limit @/mnt/tests/tests.retry
~~~


Version-Release number of selected component (if applicable):
$ rpm -q standard-test-roles
standard-test-roles-2.9-1.fc29.noarch

$ rpm -q git
package git is not installed

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
TASK [str-common : Fetch tests from remote repositories] **********************************************************************************************************************************************************
failed: [localhost -> test-runner] (item={'repo': 'https://src.fedoraproject.org/tests/ruby.git', 'dest': 'shared'}) => {"changed": false, "item": {"dest": "shared", "repo": "https://src.fedoraproject.org/tests/ruby.git"}, "msg": "Failed to find required executable git in paths: /usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin"}
	to retry, use: --limit @/mnt/tests/tests.retry


Expected results:
Git is installed as dependency.


Additional info:
Actually, even better then installing git as a dependency would be checking if the tests are available. If the they are on the system, then git would not be needed at all. In that case, it could be just soft dependency on git.



[1] https://pagure.io/standard-test-roles/blob/master/f/roles/str-common/tasks/trunner.yml#_38

Comment 1 Vít Ondruch 2018-04-24 12:30:47 UTC
(In reply to Vít Ondruch from comment #0)
> Additional info:
> Actually, even better then installing git as a dependency would be checking
> if the tests are available. If the they are on the system, then git would
> not be needed at all. In that case, it could be just soft dependency on git.

I have extracted this into upstream ticket:

https://pagure.io/standard-test-roles/issue/182

Comment 2 Jan Kurik 2018-08-14 10:05:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Ben Cotton 2019-10-31 20:54:14 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Vít Ondruch 2019-11-01 13:09:54 UTC
This is probably not resolved.

Comment 5 Andrei Stepanov 2019-11-01 13:30:08 UTC
Vít Ondruch , hi. This is a bit interesting.
failed: [localhost -> test-runner]
It means, that git is missing on test-runner.
But, STR supposed to work with dist-git tests.
rhpkg/fedpkg are used to talk to dist-git.
rhpkg/fedpkg depend on git.
Otherwise, how did you get tests?
Also: https://docs.fedoraproject.org/en-US/ci/standard-test-interface/#_summary

Comment 6 Vít Ondruch 2019-11-01 15:17:21 UTC
I don't remember precisely anymore, but I guess that I obtained local copy of tests using fedpkg, while tried to run the test cases mounted inside mock.

IOW you are doing too much assumptions about the way I get the tests on the system. The problem IMHO is this assumption "STR supposed to work with dist-git tests". May be I just unpacked some tarball or what not.

Comment 7 Ben Cotton 2020-02-11 15:45:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 8 Fedora Program Management 2021-04-29 15:54:08 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.